strcmp
strcspn
String Functions
PHP Manual

# strcoll

Locale based string comparison

### Description

int strcoll ( string `$str1` , string `$str2` )

Note that this comparison is case sensitive, and unlike strcmp this function is not binary safe.

strcoll uses the current locale for doing the comparisons. If the current locale is C or POSIX, this function is equivalent to strcmp.

### Parameters

`str1`

  The first string.

`str2`

  The second string.

### Return Values

Returns < 0 if `str1` is less than `str2`; > 0 if `str1` is greater than `str2`, and 0 if they are equal.

### Changelog

Version | Description
--- | ---
4.2.3 | This function now works on win32.

### See Also

- preg_match
- strcmp
- strcasecmp
- substr
- stristr
- strncasecmp
- strncmp
- strstr
- setlocale